<?php

namespace Drupal\materialize_datetime_picker\Element;

use Drupal\Core\Security\TrustedCallbackInterface;

/**
 * Pre-render callback to attach the library.
 */
class MaterializeDateTimeElement implements TrustedCallbackInterface {

  /**
   * Pre-render callback to attach the library.
   */
  public static function preRenderAttachLibrary($element) {
    $element['#attached']['library'][] = 'materialize_datetime_picker/materialize_datetime_picker';
    return $element;
  }

  /**
   * Declare trusted callbacks.
   */
  public static function trustedCallbacks() {
    return ['preRenderAttachLibrary'];
  }

}
